summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/run_cluster_tests
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2009-11-19 21:31:17 +0000
committerAlan Conway <aconway@apache.org>2009-11-19 21:31:17 +0000
commit954411e9b22e9032130a80143c74ce8bf1a6de3a (patch)
treef08089ad4ce8bbdbe95af24bfcbbeee4977aa775 /qpid/cpp/src/tests/run_cluster_tests
parentf46585b940fc4b320fa28535b05e5bc6e89228cf (diff)
downloadqpid-python-954411e9b22e9032130a80143c74ce8bf1a6de3a.tar.gz
Cleaned up test environment script.
git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk@882306 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/run_cluster_tests')
-rwxr-xr-xqpid/cpp/src/tests/run_cluster_tests22
1 files changed, 4 insertions, 18 deletions
diff --git a/qpid/cpp/src/tests/run_cluster_tests b/qpid/cpp/src/tests/run_cluster_tests
index b090f71852..4f09c141b3 100755
--- a/qpid/cpp/src/tests/run_cluster_tests
+++ b/qpid/cpp/src/tests/run_cluster_tests
@@ -19,24 +19,10 @@
# under the License.
#
-absdir() { echo `cd $1; pwd`; }
-srcdir=$(absdir $(dirname $0))
-top_builddir=$(absdir ../..)
+srcdir=$(dirname $0)
-. $srcdir/python_env.sh
-export PYTHONPATH=${srcdir}:${PYTHONPATH}
-export QPIDD_EXEC=${top_builddir}/src/qpidd
-export CLUSTER_LIB=${top_builddir}/src/.libs/cluster.so
-export QPID_CONFIG_EXEC=${srcdir}/../../../python/commands/qpid-config
-export QPID_ROUTE_EXEC=${srcdir}/../../../python/commands/qpid-route
-export RECEIVER_EXEC=${top_builddir}/src/tests/receiver
-export SENDER_EXEC=${top_builddir}/src/tests/sender
-
-# Check XML exchange requirements
-XML_LIB=$srcdir/../.libs/xml.so
-test -f ${XML_LIB} && export XML_LIB
-
-# Check AIS requirements
+. $srcdir/test_env.sh checkout $srcdir/../../.. ../.. || exit 1
+PYTHONPATH=$srcdir:$PYTHONPATH
. $srcdir/ais_check
# Delete old cluster test data
@@ -49,6 +35,6 @@ CLUSTER_TESTS_IGNORE=${CLUSTER_TESTS_IGNORE:--i cluster_tests.StoreTests.* -I $s
CLUSTER_TESTS=${CLUSTER_TESTS:-$*}
set -x
-with_ais_group $PYTHON_COMMANDS/qpid-python-test -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE $CLUSTER_TESTS || exit 1
+with_ais_group $QPID_PYTHON_COMMANDS/qpid-python-test -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE $CLUSTER_TESTS || exit 1
rm -rf $OUTDIR
#exit 0